NDefines.NDiplomacy.SUZERAIN_DEFENDER_CALL_DECLINE_COST = 300 		 -- Prestige cost for a suzerain refusing to join a defensive war when they are supposed to alway accept
NDefines.NDiplomacy.ALLIED_CALL_DECLINE_COST = 300
NDefines.NDiplomacy.DEMESNE_MAX_SIZE_STEWARDSHIP_MULT = 0.35 		 -- Extra Max Demesne Size from ruler and spouse stewardship
NDefines.NDiplomacy.GAVELKIND_MAX_SIZE_BONUS = 0.50			 -- Max demesne size bonus from Gavelkind
NDefines.NDiplomacy.MIN_PREP_INV_TARGET_HOLDINGS = 0 			 -- The target must control at least this many holdings within the target kingdom to be a valid prepared invasion target
NDefines.NDiplomacy.MAX_PREP_INV_TARGET_HOLDINGS = 240 			 -- The target must control at the most this many holdings within the target kingdom to be a valid prepared invasion target
NDefines.NDiplomacy.MAX_PREP_INV_ATTACKER_HOLDINGS = 720 		 -- The attacker must have fewer Holdings than this in the realm (disallow Prepared Invasions for rulers who are already very powerful)
NDefines.NDiplomacy.PREP_INV_REQ_PRESTIGE = 2500 			 -- Need to have this much Prestige to prepare an invasion
NDefines.NDiplomacy.BASE_REVOLT_CHANCE_MOD = 500 			 -- Pre Old Gods rebel spawn chance modifier (fires on_rebel_revolt) : lower means fewer revolts. MUST NOT BE ZERO.
NDefines.NDiplomacy.TOG_REVOLT_CHANCE_MOD = 250 			 -- Old Gods rebel spawn chance modifier (fires on_rebel_revolt) : lower means fewer revolts. MUST NOT BE ZERO. 
NDefines.NDiplomacy.MAX_DIPLO_DISTANCE_SAME_RELIGION = 250 		 -- Bonus to max diplo distance for being of the same religion
NDefines.NDiplomacy.MAX_DIPLO_DISTANCE_SAME_RELIGION_GROUP = 150 	 -- Bonus to max diplo distance for being of the same religion group
NDefines.NDiplomacy.MAX_DIPLO_DISTANCE_SAME_CULTURE = 300 		 -- Bonus to max diplo distance for being of the same culture
NDefines.NDiplomacy.MAX_DIPLO_DISTANCE_SAME_CULTURE_GROUP = 200 	 -- Bonus to max diplo distance for being of the same culture group
NDefines.NDiplomacy.BANISH_TAKE_WEALTH_PERCENTAGE_LANDED = 1
NDefines.NDiplomacy.DEFENSIVE_PACT_SIZE_RATIO = 3.0			 -- Relative size requirement is this at 100% threat
NDefines.NDiplomacy.DEFENSIVE_PACT_MAX_RANGE = 1500			 -- At 100% threat characters are able to join defensive pacts against targets of this distance
NDefines.NDiplomacy.DEFENSIVE_PACT_MAX_RANGE_SAME_GROUP = 750		 -- At 100% threat characters are able to join defensive pacts against targets of this distance
NDefines.NDiplomacy.DEFENSIVE_PACT_BASE_SIZE = 1.0			 -- This is the base size requirement at 0% threat
NDefines.NInfamy.REALM_SIZE_GROWTH_MODIFIER = 0.11			 -- The bigger you are, the more dangerous you are, modifier for when nation is growing
NDefines.NInfamy.INHERITANCE_CHANGE_VALUE = 0.05	 		 -- How much base value for realm growth/shrink is worth when inheriting titles.
NDefines.NInfamy.VASSAL_CHANGE_VALUE = 0.05	 			 -- How much base value for realm growth/shrink is worth when inheriting titles.
NDefines.NInfamy.MIN_INFAMY_DECAY = 0.05				 -- The minimum infamy decay regardless of troop strength.
NDefines.NInfamy.MAX_INFAMY_DECAY = 0.5					 -- The maximum infamy decay regardless of troop strength.
NDefines.NInfamy.MAX_INFAMY_PER_WAR_PROVINCE = 10			 -- A single province taken in war can give at most this much threat
NDefines.NInfamy.MIN_INFAMY_PER_WAR_PROVINCE = 1			 -- A single province taken in war can give at most this much threat
NDefines.NCharacter.CHANGE_SUCC_LAW_YEARS = 3 				 -- Rulers must have reigned this long before they can change succession laws
NDefines.NCharacter.CHANGE_AMBITION_YEARS = 1 				 -- Delay between being able to pick a new ambition
NDefines.NCharacter.NEED_GUARDIAN_AT_AGE = 4 				 -- The age at which children should be appointed a mentor/guardian
NDefines.NCharacter.MAX_WARDS_PER_GUARDIAN = 3
NDefines.NCharacter.ASSIGN_ACTION_DAYS = 7 				 -- Days before a Councillor can be assigned a new job in a county
NDefines.NCharacter.LUNATIC_TRAIT_CHANCE_FACTOR = 0.75 			 -- Inbreeding: Multiplier to the base chance
NDefines.NCharacter.INBRED_DIVINE_BLOOD_TRAIT_CHANCE_FACTOR = 1.0 	 -- Inbreeding: Multiplier to the base chance
NDefines.NCharacter.LUNATIC_DIVINE_BLOOD_TRAIT_CHANCE_FACTOR = 0.75 	 -- Inbreeding: Multiplier to the base chance
NDefines.NCharacter.PORTRAIT_MID_AGE_THRESHOLD = 37 			 -- Middle age switch for character portraits
NDefines.NCharacter.PORTRAIT_OLD_AGE_THRESHOLD = 54 			 -- Old age switch for character portraits
NDefines.NCharacter.EXTRA_NR_OF_CHILDREN_FOR_PLAYERS = 12
NDefines.NCharacter.COURT_SIZE_CHILD_PENALTY_THRESHOLD = 50
NDefines.NCharacter.NOT_SPOUSE_FERTILITY_MULT = 1.00 			 -- Applied to fertility when the two characters are not married
NDefines.NCharacter.INFANT_DEATH_CHANCE = 0.04 				 -- Chance of stillbirth / death at birth
NDefines.NCharacter.BASE_MAX_ATTRIBUTE = 23 				 -- The max attribute value you can get from growing up
NDefines.NCharacter.CONCLAVE_CHILDHOOD_ATTRIBUTE_INCREASE_CHANCE = 38 	 -- The chance of increasing an attribute during childhood
NDefines.NCharacter.CONCLAVE_ADOLESCENCE_ATTRIBUTE_INCREASE_CHANCE = 28  -- The chance of increasing an attribute during adolescence
NDefines.NCharacter.CONCLAVE_UNKNOWN_PARENT_DEFAULT_STAT = 8 		 -- If a child has no parents represented as characters in the game  this stat value is used when getting stat increases
NDefines.NCharacter.AGE_CHILDHOOD_PULSE = 4 				 -- The childhood pulse events start from this age
NDefines.NCharacter.TREASURY_CHANCE_TO_DISAPPEAR_STANDARD = 0.00	 -- Chances that artifacts disappear on inheritance
NDefines.NCharacter.TREASURY_CHANCE_TO_DISAPPEAR_NO_HEIR = 0.25		 -- Chances that artifacts disappear on inheritance when the dying character doesn't have an heir
NDefines.NTitle.NORMAL_LAW_CHANGE_COUNCIL_MONTHS = 1
NDefines.NTitle.NORMAL_LAW_CHANGE_ABSOLUTISM_MONTHS = 6
NDefines.NTitle.MAX_CROWN_LAW_CHANGES = 3
NDefines.NTitle.CROWN_LAW_CHANGE_MONTHS = 30
NDefines.NTitle.TITLE_USURP_COOLDOWN_MONTHS = 6
NDefines.NTitle.EMPIRE_DE_JURE_ASSIMILATION_YEARS = 75 			 -- Kingdoms under the de facto control of another empire will change de jure liege after this many years
NDefines.NTitle.ALLOW_DE_JURE_ASSIMILATION_ANYWHERE = 0 		 -- If set to 0  will only assimilate duchy titles which contain the assimilating Kingdom's capital or border existing de jure land of that title
NDefines.NTitle.REQ_KINGDOMS_FOR_EMPIRE_CREATION = 1 			 -- Number of held kingdoms required to create an Empire (for rulers who are not already emperors)
NDefines.NTitle.TITULAR_TITLE_CREATION_COST_MULT = 3 			 -- Titular titles are more expensive to create
NDefines.NTitle.ENFORCE_ONE_OF_EACH_HOLDING = 0 			 -- Require players to build at least one City  Temple and Castle in each province
NDefines.NTitle.MAX_REPUBLIC_COUNTIES_IN_REALM = 1.0 			 -- 100% of a feudal realm is allowed to be under vassal republics (affects title grants)
NDefines.NTitle.MAX_THEOCRACY_COUNTIES_IN_REALM = 0.49 			 -- 49% of a feudal realm is allowed to be under vassal theocracies/bishoprics (affects title grants)
NDefines.NTitle.MIN_REVOKE_MONTHS_AFTER_GRANT = 6 			 -- Months that must pass before you can revoke the title off someone you granted it to
NDefines.NReligion.DIVINE_BLOOD_FERTILITY_MULT = 1.0 			 -- Fertility multiplier in a religious close kin marriage
NDefines.NEconomy.TRADETECH_LEVEL_FOR_BASE_TPS = 1
NDefines.NEconomy.PATRICIAN_CAMPAIGN_FUND_FACTOR = 1 			 -- The effect of money in the Campaign Fund on Doge elections (money * factor)
NDefines.NEconomy.DOGE_SUCC_RANDOM_FACTOR = 2500 			 -- The random Respect factor on actual Doge succession
NDefines.NEconomy.PATRICIAN_FAMILY_SHARES_HEAD = 15 			 -- Monthly Patrician Income  number of shares for the Patrician himself
NDefines.NEconomy.TPC_TO_LOOT_MULTIPLIER = 0.35 			 -- Max loot in a navy is max troops * this
NDefines.NEconomy.LOOTER_SHIP_MAINT_MULT = 0.2 				 -- Religions that have looting have lower ship maintenance costs
NDefines.NEconomy.LOOTER_ARMY_MAINT_MULT = 0.35 			 -- Armies set to 'Looter' have lower maintenance (only applies while the Realm is at peace!)
NDefines.NEconomy.FORT_CONSUMED_IN_SETTLEMENT_CONTRUCTION = 0 		 -- If set to 1 then fort holdings are consumed by the construction of another holding in the province while giving a discount to the construction cost in return.
NDefines.NMilitary.MIN_COMBAT_DAYS = 2 					 -- Minimum number of days in combat
NDefines.NMilitary.NUMBER_OF_TROOPS_PER_GALLEY = 40 			 -- Number of men each galley can hold
NDefines.NMilitary.LEVY_MAINTENANCE_FACTOR = 0.6 			 -- General maintenance factor for levy troops
NDefines.NMilitary.MERCENARY_MAINTENANCE_FACTOR = 6.0 			 -- Maintenance factor for NORMAL mercenary units
NDefines.NMilitary.MERCENARY_VASSAL_MAINTENANCE_FACTOR = 0.25 		 -- Maintenance factor for VASSALIZED mercenary units
NDefines.NMilitary.MERCENARY_HIRE_COST_FACTOR = 0.04 			 -- Hire cost factor for mercenary units
NDefines.NMilitary.BATTLE_MINIMUM_WARSCORE = 0.1 			 -- Battles below this value(in actual percentage) are removed from warscore calculations
NDefines.NMilitary.ENEMY_SETTLEMENT_SUPPLY_BONUS = -0.15 		 -- Supply bonus from enemy settlements(woot!)
NDefines.NMilitary.MAX_ATTRITION_LEADER_REDUCTION = -0.2 		 -- Center leader reduces max attrition(reduction in actual percent)
NDefines.NMilitary.NAVAL_ATTRITION = 0.01 				 -- Attrition taken monthly by units loaded on ships
NDefines.NMilitary.ARMY_MOVEMENT_SPEED = 6 				 -- Base movement speed of land units
NDefines.NMilitary.NAVY_MOVEMENT_SPEED = 30 				 -- Base movement speed of naval units
NDefines.NMilitary.ARMY_UNLOAD_MOVE_COST = 10.0 			 -- Movement cost for moving armies off fleets at sea.
NDefines.NMilitary.LOOT_BUILDING_MULTIPLIER = 0.06 			 -- Extra gold looted from raided holdings  from buildings (LOOT_BUILDING_MULTIPLIER * building built cost)
NDefines.NMilitary.LOOT_HOLDING_DEST_MIN_SAFE = 6 			 -- there is a 1 in LOOT_HOLDING_DESTRUCTION_ODDS chance that
NDefines.NMilitary.LOOT_HOLDING_DESTRUCTION_ODDS = 8 			 -- a holding with less than LOOT_HOLDING_DEST_MIN_SAFE buildings will be destroyed by looting
NDefines.NMilitary.LOOT_HOLDING_BUILDING_DEST_ODDS = 5 			 -- there is a 1 in this chance a random building is destroyed when looted
NDefines.NMilitary.MIN_RETINUE = 25 					 -- Minimum retinue ( Disabled for now  can be enabled by mods )
NDefines.NMilitary.MAX_COMMANDERS_BARON = 3 
NDefines.NMilitary.MAX_COMMANDERS_COUNT = 5 				 -- How many commanders can a count have ( can also always assign self and marshal )
NDefines.NMilitary.MAX_COMMANDERS_DUKE = 8 
NDefines.NMilitary.MAX_COMMANDERS_KING = 10 
NDefines.NMilitary.MAX_COMMANDERS_EMPEROR = 16 
NDefines.NMilitary.LIGHT_INFANTRY_GRAPHICAL_FACTOR = 2.2 
NDefines.NMilitary.PIKEMEN_GRAPHICAL_FACTOR = 1.7 
NDefines.NMilitary.KNIGHTS_GRAPHICAL_FACTOR = 5 
NDefines.NMilitary.ARCHERS_GRAPHICAL_FACTOR = 1.25 
NDefines.NMilitary.SPECIAL_TROOPS_GRAPHICAL_FACTOR = 10.0 
NDefines.NMilitary.GALLEYS_MAINTENANCE = 80 
NDefines.NMilitary.COMMAND_MODIFIER_MARTIAL_MULTIPLIER = 0.1		 -- How much positive command modifiers are increased  and negative modifiers decreased (capped to 100% for negative)  per point of martial
NDefines.NMilitary.MAX_RIVER_MOVEMENT_FORT_LEVEL = 500.0 
NDefines.NMilitary.USE_AUTOMATIC_CALL_TO_ARMS = 1 			 -- Whether to automatically call all your allies at the beginning of a war or not
NDefines.NTechnology.BASE_NEIGHBOUR_SPREAD_BONUS = 0.08 		 -- bonus for each neighbour with the tech
NDefines.NTechnology.NEIGHBOUR_SAME_RELIGON_GROUP_MULT = 1.5 		 -- multiplier to the above bonus if neighbour is of your religious group
NDefines.NTechnology.MAX_DEMESNE_BONUS = 0.5 				 -- maximum bonus from demesne
NDefines.NTechnology.TRADEPOST_SPREAD_BONUS = 0.01 			 -- Spread from trade posts
NDefines.NTechnology.IDEAL_YEAR_AHEAD_PENALTY_INVEST = 0.5		 -- Percent increase in cost pre level ahead of ideal date
NDefines.NAI.NAVAL_INVASION_RANGE = 700 				 -- Factor which increase AI invasion range if set higher
NDefines.NAI.MARRIAGE_AI_PRESTIGE_VALUE = 0.11 				 -- Multiplier for how highly AI values prestige when arranging marriages and evaluating marriage offers
NDefines.NAI.MAX_KING_TITLES_TO_CREATE = 1 				 -- AI will not seek to create/usurp more King-level titles than this (0 for unlimited)
NDefines.NAI.MAX_EMPIRE_TITLES_TO_CREATE = 1 				 -- AI will not seek to create/usurp more Empire-level titles than this (0 for unlimited)
NDefines.NAI.RAID_MAX_REALM_SIZE = 72 					 -- Realms with more holdings than this will never go on Raids
NDefines.NAI.RAID_SPARE_ACCEPTED_RELIGIONS = 0 				 -- AI will not raid rulers of other religions in the same religion group  unless heresy vs parent religion
NDefines.NAI.COALITION_JOIN_THRESHOLD = 150
NDefines.NAI.COALITION_LEAVE_THRESHOLD = 35				 -- AI will leave a defensive pact if the defensive pact score is below this value
NDefines.NAI.COALITION_TROOP_STRENGTH_THREAT_RATIO = 1.15		 -- AI will consider a realm to be a threat if it has this times as many troops, and is within range (next parameter)
NDefines.NAI.COALITION_THREAT_MAX_DISTANCE = 400			 -- AI will only consider realms within this distance a threat, unless they're really large, but still within diplo range (COALITION_SCARY_TROOP_STRENGTH_THREAT_RATIO)
NDefines.NAI.COALITION_SCARY_TROOP_STRENGTH_THREAT_RATIO = 3.0		 -- AI will consider a realm to be a threat if the AI is this much larger in army strength, regardless of CB's
NDefines.NAI.BETROTHAL_MIN_AGE = 8 					 -- AI will not arrange betrothals for children below this age
NDefines.NRulerDesigner.COST_ATTRIB = 0.0 
NDefines.NRulerDesigner.COST_SON = 0.0 
NDefines.NRulerDesigner.COST_DAUGHTER = 0.0 
NDefines.NRulerDesigner.COST_MARRIED = 0.0 
NDefines.NRulerDesigner.COST_FERTILITY = 0.0 
NDefines.NRulerDesigner.COST_HEALTH = 0.0 
NDefines.NRulerDesigner.COST_COMBAT_RATING = 0.0 
NDefines.NRulerDesigner.COST_MONTHLY_PRESTIGE = 0.0 
NDefines.NRulerDesigner.COST_MONTHLY_PIETY = 0.0 
NDefines.NRulerDesigner.COST_MONTHLY_WEALTH = 0.0 
NDefines.NRulerDesigner.COST_GLOBAL_TAX = 0.0 
NDefines.NRulerDesigner.COST_CHURCH_OPINION = 0.0 
NDefines.NRulerDesigner.COST_SPOUCE_OPINION = 0.0 
NDefines.NRulerDesigner.COST_SEXAPPEAL_OPINION = 0.0 
NDefines.NRulerDesigner.COST_DYNASTY_OPINION = 0.0 
NDefines.NRulerDesigner.COST_VASSAL_OPINION = 0.0 
NDefines.NRulerDesigner.COST_OPPOSITE_TRAIT_OPINION = 0.0 
NDefines.NRulerDesigner.COST_SAME_TRAIT_OPINION = 0.0 
NDefines.NRulerDesigner.COST_SAME_RELIGION_OPINION = 0.0 
NDefines.NRulerDesigner.COST_GENERAL_OPINION = 0.0 
NDefines.NRulerDesigner.COST_MUSLIM_OPINION = 0.0 
NDefines.NRulerDesigner.COST_JEWISH_OPINION = 0.0 
NDefines.NRulerDesigner.COST_CHRISTIAN_OPINION = 0.0 
NDefines.NRulerDesigner.COST_ZOROASTRIAN_OPINION = 0.0 
NDefines.NRulerDesigner.COST_MORALE_OFFENCE = 0.0 
NDefines.NRulerDesigner.COST_MORALE_DEFENCE = 0.0 
NDefines.NRulerDesigner.COST_DEFENCE = 0.0 
NDefines.NRulerDesigner.MAX_AGE = 700 